Skip to navigation

Create Tags

View as Markdown

Creates one or more of Tags for the Tag Collection specified by the tagCollectionId URI parameter.

You must have write access to the Tag Collection to be able to create Tags for that Tag Collection. For more information see “Control Access </en/docs/schema/v3/developers_guide/basics/access/>`_.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

tagCollectionIdstringRequired

Headers

RegionenumOptionalDefaults to US

The Autodesk Schema Registry currently supports in the US and EMEA regions. This header specifies where your data is stored. Possible Values:

  • US - (Default) All requests without a specified region header will be directed to the US region.
  • EMEA - Data center for the European Union, Middle East, and Africa. To access the EMEA region specifically, include the header “region: EMEA” in your API requests.
Allowed values:

Request

This endpoint expects a list of objects.
namestringRequired
The name of the Tag.
categoryIdstringOptional
The ID of the Tag Category this Tag must belong to. If you do not specify a category, the Tag will belong to the default category. The default category was created when the Tag Collection was created.
userDatamap from strings to objectsOptional

A JSON object of user-defined schema containing custom data for the Tag. The only validation the system performs on this object is to make sure that it is a valid JSON object.

Response

Multiple operations have been attempted and a single response code is not able to convey the results of all operations. Check the response body for failures, if any.

Every successful operation contains a system-generated id attribute for the categories created. Failed operations contain an errors object.

categoryIdstringOptional
The ID of the Category this Tag belongs to.
createTimedatetimeOptionalRead-only
A TimeISO 8601 Timestamp in UTC Timezone indicating when the Tag was created.
createdBystringOptional

If a three-legged access token was used to create the Tag, contains the Autodesk ID (Oxygen ID) of the person who created it. If a two-legged access token was used to create the Tag, contains the Client ID of the app that created it.

errorslist of objectsOptional
idstringOptionalRead-only

A system-generated ID to uniquely identify the Tag.

lastModifiedBystringOptional

If a three-legged access token was used to modify the Tag, contains the Autodesk ID (Oxygen ID) of the person who modified it. If a two-legged access token was used to modify the Tag, contains the Client ID of the app that modified it.

lastModifiedTimedatetimeOptionalRead-only
A TimeISO 8601 Timestamp in UTC Timezone indicating when the Tag was last modified.
namestringOptional
The name of the Tag.
userDatamap from strings to objectsOptional

A container for user-defined custom data.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error